# Webhooks

Webhooks can be used to send [events](/reference/api/events) to an HTTP endpoint. A typical event is when a payment is paid, `payment.paid`.

You can retrieve and manage your webhooks through the API or in the [PayPro dashboard](https://app.paypro.nl/developers/webhooks).

Refer to the [webhooks section](/reference/webhooks) on how to setup and use webhooks and events.


## Retrieves a webhook

 - [GET /webhooks/{id}](https://docs.paypro.nl/reference/api/webhooks/retrievewebhook.md): Retrieves a single webhook based on the id.

## Updates a webhook

 - [PATCH /webhooks/{id}](https://docs.paypro.nl/reference/api/webhooks/updatewebhook.md): Updates a Webhook object. Returns the updated Webhook

## Deletes a webhook

 - [DELETE /webhooks/{id}](https://docs.paypro.nl/reference/api/webhooks/deletewebhook.md): Deletes a webhook. A deleted webhook will no longer send events to the endpoint.

## Retrieves a list of webhooks

 - [GET /webhooks](https://docs.paypro.nl/reference/api/webhooks/retrievelistofwebhooks.md): Retrieve a list of webhooks that have been created for your account. The webhooks are sorted, with the most recent first.

## Creates a webhook

 - [POST /webhooks](https://docs.paypro.nl/reference/api/webhooks/createwebhook.md): Creates a Webhook object.

A webhook needs to have a name, description and a url. By default the Webhook will be active and subscribed to all event types. You can add the parameter active to false to make it inactive.

